<p>admin works!</p>
<form [formGroup]="fg">
    <input type="text" name="uname" placeholder="username" formControlName="username">
    <span *ngIf="fg.get('username').invalid && fg.get('username').dirty" ngClass="styleerr">
        Please enter username
    </span><br>
    <input type="password" name="pwrd" placeholder="password" formControlName="password">
    <span *ngIf="fg.get('password').invalid && fg.get('password').dirty" ngClass="styleerr">
        Please enter password having minimun length of 8 characters
    </span><br>
    <input type="submit" value="submit form" (click)="submitform()">
</form>
